

# The right thing to do: What is the reason behind your actions? 

![](1.png)

## **Introspection: What is it that truly matters to you?**

Over the course of an entire month, note down what you are doing.
    
    
    -School
    -Work
    -Video Games
    -Socializing
    -Social Media
    -Nsfw content
    -Junk Food
    -Substance abuse (alcohol / smoking / drugs)
    -Shopping
    -Activism	
    
    

Give yourself some time to reflect on the following: **which of these truly matter to you ?**

Which of these activities/topics are the most mature, and the most fulfilling for you ?

If you want to live a truly fulfilling life, **you need to look at the reason behind what you are doing**

## **Acting out of self interest: Unfulfilling Immaturity**

Let's first look at what everyone does best: acting out of self interest. There are 3 basic reasons behind what most people do out there: 
    
    
    -To Survive
    -To Indulge in Pleasure
    -To Control
    
    

And when you're categorizing the topics you have above into those 3 categories, you may realize that the reason behind your actions may remain very rudimentary: 
    
    
    -To Survive:
    	-School
    	-Work
    -To Indulge in Pleasure: (addictions)
    	-Video Games
    	-Socializing
    	-Social Media
    	-Nsfw content
    	-Junk Food
    	-Substance abuse (alcohol / smoking / drugs)
    	-Shopping
    -To Control:
    	-Running an online community
    	-Regulating / Passing Laws / Enforcing laws (for governments)
    	-Acting like a dictator with your own relatives
    
    

No shame in acting out of self interest, but you need to realize what it ultimately is about.

Acting out of survival is the most common thing to do, and it's not just us humans, literally every living being out there is doing it. But there has been an unecessary glorification of survival that has been going around, humanity has been raising the bar for it's own survival for no reason, it's been raised so much that people need to work their entire lives for someone else just to keep their right to live. Surviving is a trivial thing even for the smallest creatures on the planet, don't make such a big fuss about it.

To indulge in pleasure is the next best thing that people know, and that is what is preventing them from doing anything meaningful their whole lives. One extreme example is opioid addiction, the feeling you get during that first high is so unbelievably pleasant, it feels like arriving in heaven, nothing comes close to it. **But to chase that high everyday is going to cost you everything, and you will keep trying to fill that insatiable addiction even when you end up on the streets.** Now you may not have chosen that kind of a caliber to feel pleasure, but you may have found some smaller weapons to shoot yourself in the foot with, such as junk food, nsfw content, ligher substance abuses, or just video games. make no mistake you can remain hooked on those your entire life.

And lastly, you may have chosen to indulge in trying to extend your Control, it can take many forms such as trying to control what's around you by doing activism, or running an online community. Or if you are in the governmental / law enforcement sector it could just be making efforts to control the public order, some act like dictators on their own relatives too! 
    
    
    "We buy things we don’t need, with money we don’t have, to impress people we don’t like.”
    
    “You are not special. You are not a beautiful or unique snowflake. You are the same decaying organic matter as everything else." 
    
    "You are not your job. You’re not how much money you have in the bank. You’re not the car you drive. You’re not the contents of your wallet. You’re not your f*cking khakis. You’re the all-singing, all-dancing crap of the world.”
    
    -Fight Club, 1999
    
    

At some point, you need to ask yourself, what's the point of indulging in all of this ? Sure it makes you feel good for a moment, but are you truly feeling satisfied from it after a while ? Is this truly a fulfilling thing to do for you ? Or is it true that you have mistaken just "feeling good" for being the peak of your life ?

**The point is, in the end you are doing all of this to protect what you are currently identified with**. While in the short-term you may feel good from it, acting out of self interest will never truly fulfill you. If you are not even aware of what you truly are, Nor are you aware of what you truly want to do, Why are you trying to do things without knowing these two? 

## **The right thing to do: The Fulfilling Maturity**

If you want to be productive, you must be 100% convinced that you are currently doing the right thing. You will anyway need to reflect on yourself quite a bit to decide on what is the right thing to do. This is the key difference maker in your life. Will you do things because you are forced to ? Will you do things because that's what you like to do ? **Or will you do things because you know with absolute certainty, that this is the right thing to do ?** I'm sure you can tell which is the most mature, and most fulfilling.
    
    
    "If you pull that trigger, right, you pull that trigger for a fucking honorable reason. Like an honorable man, not like some fucking civilian that does not understand the wicked way of our world, mate" -Alfie Solomons, Peaky Blinders
    
    

Now when you start to dissolve what you initially identified with (see [Sum Nihil](../sum-nihil/index.md)) you will naturally start to drop the habits you used to maintain when you were still strongly identified with those things that you have anyway never truly been. What happens here is that you are going to start percieving things **beyond your limited sense of self** , and when your perception of the self starts to expand, naturally you will start to act for a greater cause, something that is not about you. **That's when you start to act for the world, rather than for yourself.**

So, here are the reasons that i consider honorable, which all stem out of **a broader sense of self** (daily practiced as part of my [Nihilism](../nihilism/index.md)): 
    
    
    Honorable reasons:
    -Purifying
    -Percieving
    -Transcending
    
    

I am motivated by my will to purify, refine and enhance my abilities using tools and technology, and **I want anyone that also shares that same drive, to be able to explore the full scope of what they can do as well.**

I am also motivated by my will to clear out any misconceptions and help everyone perceive technology for what it truly is, regardless of any morality or any political view. My blog aims to bring to light that **any usage of any technology is to be justified with a clear reason, to be described, and showcased in great detail**. This blog is there for those that truly want to know the solution, not for those that want solace.

Yes, anyone that tries to mix politics and ideologies into technology, is merely trying to preserve what they are currently identified with. Such people cannot pretend to ever have an objective viewpoint when talking about anything.

Transcending limitations is what i consider the most honorable way behind any action. **Ultimately, this blog aims to showcase that Technology, when used correctly, can allow one to transcend any limitation.** Be it to transcend surveillance, centralisation, deanonymization, lack of security. **Any ability that we have as Humans** , such as Privacy, Decentralisation, Anonymity, Security, Plausible Deniability **can be protected and enhanced by using the correct Technology.**

_TLDR:_ You want to know the most effective technologies that can enhance your life ? It's right there. Just read it up, understand what they are, understand why they are used, understand how they are used, and use them yourself. 

So before you start to act in this lifetime, look at what you are currently doing, and what is the reason behind your actions. From there decide if this is the correct thing for you to do, or if you are destined to do more than that in the long term. 

I have reflected a very long time on what my purpose was, even after having started this blog. Upon enough reflection my passion shifted from hacking to self-hosting, and upon some more reflection it evolved from self-hosting to operational security. I have simply looked at what was lacking in this world, and now i'm convinced that what i'm doing currently will have the widest, positive, and long-lasting impact in the world. When i'll be gone, upon looking back on my life, i will have no regrets whatsoever. That's all that matters.

